load queryInfo

imshowMode=0;


if imshowMode==1

for queryNo = 1:1000
    faceImg=imread(sprintf('%s',queryInfo{queryNo}.queryImgName)); 
    if(queryInfo{queryNo}.set1==1)
        cmd=sprintf('Query Face (Use all these query-relevant face pairs to train your system in split 1)');
    else
        cmd =sprintf('Query Face (Use all these query-relevant pairs to train your system in split 2)');
    end
    figure('Name','Top 25 Relevant cartoon faces for real face as a query','NumberTitle','off')
    set(gcf, 'units','normalized','outerposition',[0 0 1 1]);
    subplot(6,5,3), imshow(faceImg);
    title(cmd); 
    %%%%%%%%%%%%%%%%%%% Display 25 relavent images %%%%%%%%%%%%%%%%
     for relImgNo=1:min(25,length(queryInfo{queryNo}.releventImgNames))
        relImg = imread(queryInfo{queryNo}.releventImgNames{relImgNo});
        cmd=sprintf('Relevant face: %d',relImgNo);
        subplot(6,5,relImgNo+5), imshow(relImg);
        title(cmd);
        
     end
     
    
    pause(3);
    close all;
    
    
end
else
    for queryNo = 1:1000 
    if(queryInfo{queryNo}.set1==1)
        cmd=sprintf('Query Face (Use all these query-relevant face pairs to train your system in split 1)');
    else
        cmd =sprintf('Query Face (Use all these query-relevant pairs to train your system in split 2)');
    end
    
   fprintf('%s\n',cmd);
    %%%%%%%%%%%%%%%%%%% Display 25 relavent images %%%%%%%%%%%%%%%%
    fprintf('All the relvent face for query image: %s\n',queryInfo{queryNo}.queryImgName)
     for relImgNo=1:length(queryInfo{queryNo}.releventImgNames)
        fprintf('Relevant face Name: %s\n',queryInfo{queryNo}.releventImgNames{relImgNo});
               
     end
     fprintf('\n******************\n');
     
    
    pause(5);
    end
    

end
